Bug 1016809 - Review Request: rodent - Advanced user file manager for Linux/BSD systems
Review Request: rodent - Advanced user file manager for Linux/BSD systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 1016807 1018568
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 13:57 EDT by Antonio Trande
Modified: 2014-01-11 20:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 04:22:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-10-08 13:57:40 EDT
Spec URL: http://sagitter.fedorapeople.org/Rodent/rodent.spec
SRPM URL: http://sagitter.fedorapeople.org/Rodent/rodent-5.1.2-1.fc21.src.rpm

Description: Rodent is fast, small and powerful file manager for the GNU operating system.

Fedora Account System Username: sagitter

- Rodent requires dbh >= 5.0.6 package currently available only in rawhide
- Various libraries are recognized as -devel files but included in main package because without them Rodent seems not work.
Comment 1 Christopher Meng 2013-10-09 00:41:42 EDT
CCing cuz I'm using it now.(Sorry I won't review this package, others please go ahead.)

Some notes:

1. I'm not sure if we can put .so into -devel subpkg if possible(but it would be ridiculous as this is a file manager)?

2. Do you think it's useful to add explicit version requires?
Comment 2 Antonio Trande 2013-10-13 08:04:50 EDT
Spec URL: http://sagitter.fedorapeople.org/Rodent/rodent.spec
SRPM URL: http://sagitter.fedorapeople.org/Rodent/rodent-5.1.3-1.fc19.src.rpm

Update to 5.1.3 .
In this release all primary libraries (librfm) are split off into their own package.
Comment 3 Antonio Trande 2013-10-13 14:04:02 EDT
Spec URL: http://sagitter.fedorapeople.org/Rodent/rodent.spec
SRPM URL: http://sagitter.fedorapeople.org/Rodent/rodent-5.1.3-2.fc19.src.rpm

BuildRequires/Requires reduction.
Comment 4 Mario Blättermann 2013-11-14 16:01:25 EST
Taking this for a full review. I'll continue here once librfm is built and pushed to Rawhide.
Comment 5 Antonio Trande 2013-11-15 12:29:09 EST
(In reply to Mario Blättermann from comment #4)
> Taking this for a full review. I'll continue here once librfm is built and
> pushed to Rawhide.

'librfm' is already built in rawhide.
Rodent compilation now fails because of recent 'libtubo' changes; a new release will be public in few days.

Thank you , Mario.
Comment 6 Mario Blättermann 2013-12-22 08:14:13 EST
Any news here? Version 5.0.14 of libtubo has been released a few days ago, maybe it solves the compiling problems.
Comment 7 Antonio Trande 2013-12-30 08:09:20 EST
(In reply to Mario Blättermann from comment #6)
> Any news here? Version 5.0.14 of libtubo has been released a few days ago,
> maybe it solves the compiling problems.

I'm sorry for this delayed reply.

Rodent is ready:

- Update to 5.2.0
- Removed --enable-libzip option
- Summary/Description changed
- URL tag chaged

SRPM URL: http://sagitter.fedorapeople.org/Rodent/rodent-5.2.0-1.fc20.src.rpm
Spec URL: http://sagitter.fedorapeople.org/Rodent/rodent.spec

Koji build in rawhide:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6342604
Comment 8 Mario Blättermann 2014-01-02 04:40:55 EST
$ rpmlint -i -v *
rodent.src: I: checking
rodent.src: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent.src: W: strange-permission rodent-5.2.0.tar.bz2 0600L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

rodent.src:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

rodent.src: I: checking-url http://sourceforge.net/projects/xffm/files/rodent/rodent-5.2.0.tar.bz2 (timeout 10 seconds)
rodent.armv7hl: I: checking
rodent.armv7hl: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent.armv7hl: W: no-manual-page-for-binary rodent-sshfs
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-workgroup
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-nfs
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-fuse
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-forked
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-fstab
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-obex
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-ps
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-ecryptfs
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-cifs
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-desk
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-ftp
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-getpass
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-smb
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-dotdesktop
Each executable in standard binary directories should have a man page.

rodent.armv7hl: W: no-manual-page-for-binary rodent-shares
Each executable in standard binary directories should have a man page.

rodent.i686: I: checking
rodent.i686: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent.i686: W: no-manual-page-for-binary rodent-sshfs
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-workgroup
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-nfs
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-fuse
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-forked
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-fstab
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-obex
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-ps
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-ecryptfs
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-cifs
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-desk
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-ftp
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-getpass
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-smb
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-dotdesktop
Each executable in standard binary directories should have a man page.

rodent.i686: W: no-manual-page-for-binary rodent-shares
Each executable in standard binary directories should have a man page.

rodent.x86_64: I: checking
rodent.x86_64: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent.x86_64: W: no-manual-page-for-binary rodent-sshfs
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-workgroup
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-nfs
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-fuse
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-forked
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-fstab
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-obex
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-ps
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-ecryptfs
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-cifs
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-desk
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-ftp
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-getpass
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-smb
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-dotdesktop
Each executable in standard binary directories should have a man page.

rodent.x86_64: W: no-manual-page-for-binary rodent-shares
Each executable in standard binary directories should have a man page.

rodent-debuginfo.armv7hl: I: checking
rodent-debuginfo.armv7hl: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module_gui.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.armv7hl: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.i686: I: checking
rodent-debuginfo.i686: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module_gui.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.x86_64: I: checking
rodent-debuginfo.x86_64: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module_gui.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.i
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/rodent-5.2.0/src/rfm/fgr-dialog/find-module.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

rodent-devel.armv7hl: I: checking
rodent-devel.armv7hl: W: spelling-error Summary(en_US) Pkgconfig -> Configure
The value of this tag appears to be misspelled. Please double-check.

rodent-devel.armv7hl: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-devel.armv7hl: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

rodent-devel.i686: I: checking
rodent-devel.i686: W: spelling-error Summary(en_US) Pkgconfig -> Configure
The value of this tag appears to be misspelled. Please double-check.

rodent-devel.i686: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

rodent-devel.x86_64: I: checking
rodent-devel.x86_64: W: spelling-error Summary(en_US) Pkgconfig -> Configure
The value of this tag appears to be misspelled. Please double-check.

rodent-devel.x86_64: I: checking-url http://xffm.foo-projects.org/ (timeout 10 seconds)
rodent-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

rodent.spec:2: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 2)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

rodent.spec: I: checking-url http://sourceforge.net/projects/xffm/files/rodent/rodent-5.2.0.tar.bz2 (timeout 10 seconds)
10 packages and 1 specfiles checked; 9 errors, 57 warnings.


Ignorable spelling errors and missing man pages, while the latter are not up to you to fix. The incorrect FSF addresses have to be reported upstream.

Only the mixed spaces and tabs issue has to be fixed.
Comment 9 Antonio Trande 2014-01-02 09:02:58 EST
> Only the mixed spaces and tabs issue has to be fixed.

Spec URL: http://sagitter.fedorapeople.org/Rodent/rodent.spec
SRPM URL: http://sagitter.fedorapeople.org/Rodent/rodent-5.2.0-1.fc20.src.rpm


Since they are minor warnings, I left the same release number intentionally.
Comment 10 Mario Blättermann 2014-01-02 10:40:47 EST
OK, looks fine now.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    8281498cd5d9666ea30c017dc2c62884e3422075e406d0c29a21f4f46441c663  rodent-5.2.0.tar.bz2
    8281498cd5d9666ea30c017dc2c62884e3422075e406d0c29a21f4f46441c663  rodent-5.2.0.tar.bz2.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------
Comment 11 Antonio Trande 2014-01-02 16:23:11 EST
Thank you Mario.

Since Rodent and the required package librfm depend by dbh >= 5.0, I'll do a SCM Request when Fedora 21 will leave the rawhide status.

In the meantime, Rodent/librfm/dbh are available and updated for Fedora 20 in the Copr project at this address http://copr-fe.cloud.fedoraproject.org/coprs/sagitter/Rodent-FM/.
Comment 12 Mario Blättermann 2014-01-02 16:50:00 EST
(In reply to Antonio Trande from comment #11)
> Since Rodent and the required package librfm depend by dbh >= 5.0, I'll do a
> SCM Request when Fedora 21 will leave the rawhide status.
> 
Not needed to wait. Just do the SCM request without requesting branches. This way only the Rawhide part will be created. After branching f21 (which will happen soon) the appropriate branch will be created automatically.
Comment 13 Antonio Trande 2014-01-03 09:50:40 EST
(In reply to Mario Blättermann from comment #12)
> (In reply to Antonio Trande from comment #11)
> > Since Rodent and the required package librfm depend by dbh >= 5.0, I'll do a
> > SCM Request when Fedora 21 will leave the rawhide status.
> > 
> Not needed to wait. Just do the SCM request without requesting branches.
> This way only the Rawhide part will be created. After branching f21 (which
> will happen soon) the appropriate branch will be created automatically.

That's great news for me!
Thanks again.
Comment 14 Antonio Trande 2014-01-03 09:52:17 EST
New Package SCM Request
=======================
Package Name: rodent
Short Description: Advanced user file manager for Linux/BSD systems
Owners: sagitter
Branches:
Comment 15 Gwyn Ciesla 2014-01-03 14:31:46 EST
Git done (by process-git-requests).
Comment 16 Michael Schwendt 2014-01-11 08:25:50 EST
Caution!

samba-libs  from  samba
    provides libshares.so
rodent  from  rodent
    provides libshares.so
    required by: 2:samba-test-4.1.3-3.fc21.i686

No immediate reason to take action, because it's only an unversioned shared library name and there are likely other deps between samba-libs and samba-test, but watch out for such "Provides" in package reviews (and subsequent package upgrades).
Comment 17 Michael Schwendt 2014-01-11 09:51:32 EST
Running /sbin/ldconfig in %post and %postun is also not necessary for this package, since it doesn't store any shared libs in runtime linker's search path. 
It only stores plugins/modules in %{_libdir}/rfm/.


> %files devel
> %{_libdir}/pkgconfig/*.pc

That's a *very* unusual file. What is its purpose?
Comment 18 Antonio Trande 2014-01-11 11:19:51 EST
(In reply to Michael Schwendt from comment #17)
> Running /sbin/ldconfig in %post and %postun is also not necessary for this
> package, since it doesn't store any shared libs in runtime linker's search
> path. 
> It only stores plugins/modules in %{_libdir}/rfm/.

It's a private library directory; you're right.

> 
> 
> > %files devel
> > %{_libdir}/pkgconfig/*.pc
> 
> That's a *very* unusual file. What is its purpose?

Why do you think it be unusual ?
It provides necessary infos for 'librfm' libraries used by Rodent. Should it not be so ?
Comment 19 Michael Schwendt 2014-01-11 12:47:47 EST
At the risk of sounding like an examiner ;)  how and where exactly is the file rodent.pc used?
Comment 20 Antonio Trande 2014-01-11 13:22:36 EST
(In reply to Michael Schwendt from comment #19)
> At the risk of sounding like an examiner ;)  how and where exactly is the
> file rodent.pc used?

So I deserve a flunking because I don't know. :-P
Perhaps are you suggesting me that its packaging is useless ?
Comment 21 edscott 2014-01-11 15:04:28 EST
Currently packaging of rodent.pc is not worthwhile. As of today, the only use it provides is to check ---when the configure script is run--- whether rodent modules are already installed to a different --prefix. When this occurs, a warning is triggered by the configure script. This helps developers avoid rodent version mixups.

Thus the utility of rodent.pc is currently limited to those who are building and installing from source. In the future, rodent-diff and rodent-fgr will be split into separate packages, and these two programs do require rodent modules, although these modules will possibly be transferred to librfm.
Comment 22 Antonio Trande 2014-01-11 15:43:24 EST
(In reply to edscott from comment #21)
> Currently packaging of rodent.pc is not worthwhile. As of today, the only
> use it provides is to check ---when the configure script is run--- whether
> rodent modules are already installed to a different --prefix. When this
> occurs, a warning is triggered by the configure script. This helps
> developers avoid rodent version mixups.
> 
> Thus the utility of rodent.pc is currently limited to those who are building
> and installing from source. In the future, rodent-diff and rodent-fgr will
> be split into separate packages, and these two programs do require rodent
> modules, although these modules will possibly be transferred to librfm.

Hi Edscott.
It's very nice to speak to you here.

Thank you very much to have clarified to me this issue; I was about to contact you by a post in SourceForge.

I'm modifying the Rodent package in order to exclude 'rodent.pc' packaging.

Thanks also to Michael.
Comment 23 Michael Schwendt 2014-01-11 16:03:00 EST
> I_PREFIX=`$PKG_CONFIG --variable prefix rodent 2>/dev/null`

Yep, there won't be any rodent.pc file in clean buildroots, such as used by Fedora.

But primarily, the rodent.pc file is "weird", because of what it does with its "includedir" and "Libs" lines:

> includedir=/usr/include/rfm/modules

Not even librfm installs anything into that path. In case you want module/plugin packages to use pkgconfig to retrieve an installation path at configure-time, consider something like

   libdir=/usr/lib64
   moduledir=${libdir}/rfm/modules

   $ pkg-config rodent --variable=moduledir
   /usr/lib64/rfm/modules

and a similar thing for plugindir. Such a query can be embedded into configure scripts for external module/plugin packages.

> Requires: librfm

In a .pc file, this creates an inter-dependency with librfm.pc and pulls in the --cflags and --libs for librfm. Considering that librfm has been split off and there is no own API for rodent, that is odd.

> Libs:  -L${libdir}/rfm/modules -lbcrypt -lcompletion -lcombobox
> -lproperties -lmime -lmimemagic -lmimezip -licons

And these are rodent module libs appearing on the linker options line for unknown reasons.

Hope this makes clear why I've questioned the rodent-devel rpm for just this file. As a last resort one could have included the file in the base rodent rpm, even if nothing uses it at runtime. :-)
Comment 24 edscott 2014-01-11 20:38:58 EST
I would not include rodent.pc. Everything in it is just for testing development code and not used by any distributed code as of yet.

As you may have noticed, I do not distribute the rodent-devel rpm for OpenSUSE nor the rodent-dev deb for Ubuntu for this reason.

Note You need to log in before you can comment on or make changes to this bug.